.. _mmctl_export:

mmctl export
------------

Management of exports

Synopsis
~~~~~~~~


Management of exports

Options
~~~~~~~

::

  -h, --help   help for export

Options inherited from parent commands
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

::

      --config string                path to the configuration file (default "$XDG_CONFIG_HOME/mmctl/config")
      --disable-pager                disables paged output
      --insecure-sha1-intermediate   allows to use insecure TLS protocols, such as SHA-1
      --insecure-tls-version         allows to use TLS versions 1.0 and 1.1
      --json                         the output format will be in json format
      --local                        allows communicating with the server through a unix socket
      --quiet                        prevent mmctl to generate output for the commands
      --strict                       will only run commands if the mmctl version matches the server one
      --suppress-warnings            disables printing warning messages

SEE ALSO
~~~~~~~~

* `mmctl <mmctl.rst>`_ 	 - Remote client for the Open Source, self-hosted Slack-alternative
* `mmctl export create <mmctl_export_create.rst>`_ 	 - Create export file
* `mmctl export delete <mmctl_export_delete.rst>`_ 	 - Delete export file
* `mmctl export download <mmctl_export_download.rst>`_ 	 - Download export files
* `mmctl export generate-presigned-url <mmctl_export_generate-presigned-url.rst>`_ 	 - Generate a presigned url for an export file. This is helpful when an export is big and might have trouble downloading from the Mattermost server.
* `mmctl export job <mmctl_export_job.rst>`_ 	 - List, show and cancel export jobs
* `mmctl export list <mmctl_export_list.rst>`_ 	 - List export files

